CS::Math::Noise::Module::Cylinders Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CS::Math::Noise::Module::Cylinders Class Reference
Generator Modules

Noise module that outputs concentric cylinders. More...

`#include <cstool/noise/module/cylinders.h>`

Inheritance diagram for CS::Math::Noise::Module::Cylinders:

List of all members.

## Public Member Functions
| Cylinders ()
| Constructor.
double | GetFrequency () const
| Returns the frequency of the concentric cylinders.
virtual int | GetSourceModuleCount () const
| Returns the number of source modules required by this noise module.
virtual double | GetValue (double x, double y, double z) const
| Generates an output value given the coordinates of the specified input value.
void | SetFrequency (double frequency)
| Sets the frequenct of the concentric cylinders.
## Protected Attributes
double | m_frequency
| Frequency of the concentric cylinders.

## Detailed Description

Noise module that outputs concentric cylinders.

This noise module outputs concentric cylinders centered on the origin. These cylinders are oriented along the y axis similar to the concentric rings of a tree. Each cylinder extends infinitely along the y axis.

The first cylinder has a radius of 1.0. Each subsequent cylinder has a radius that is 1.0 unit larger than the previous cylinder.

The output value from this noise module is determined by the distance between the input value and the the nearest cylinder surface. The input values that are located on a cylinder surface are given the output value 1.0 and the input values that are equidistant from two cylinder surfaces are given the output value -1.0.

An application can change the frequency of the concentric cylinders. Increasing the frequency reduces the distances between cylinders. To specify the frequency, call the SetFrequency() method.

This noise module, modified with some low-frequency, low-power turbulence, is useful for generating wood-like textures.

This noise module does not require any source modules.

Definition at line 71 of file cylinders.h.

## Constructor & Destructor Documentation

CS::Math::Noise::Module::Cylinders::Cylinders | ( |  | ) |

Constructor.

The default frequency is set to CS::Math::Noise::Module::DEFAULT_CYLINDERS_FREQUENCY.

## Member Function Documentation

double CS::Math::Noise::Module::Cylinders::GetFrequency | ( |  | ) | const`[inline]`

Returns the frequency of the concentric cylinders.

Returns:
  The frequency of the concentric cylinders.

Increasing the frequency increases the density of the concentric cylinders, reducing the distances between them.

Definition at line 88 of file cylinders.h.

virtual int CS::Math::Noise::Module::Cylinders::GetSourceModuleCount | ( |  | ) | const`[inline, virtual]`

Returns the number of source modules required by this noise module.

Returns:
  The number of source modules required by this noise module.

Implements CS::Math::Noise::Module::Module.

Definition at line 93 of file cylinders.h.

virtual double CS::Math::Noise::Module::Cylinders::GetValue | ( | double | x,
|  | double | y,
|  | double | z
| ) |  | const`[virtual]`

Generates an output value given the coordinates of the specified input value.

Parameters:

  x | The x coordinate of the input value.
  y | The y coordinate of the input value.
  z | The z coordinate of the input value.

Returns:
  The output value.

Precondition:
  All source modules required by this noise module have been passed to the SetSourceModule() method.

Before an application can call this method, it must first connect all required source modules via the SetSourceModule() method. If these source modules are not connected to this noise module, this method raises a debug assertion.

To determine the number of source modules required by this noise module, call the GetSourceModuleCount() method.

Implements CS::Math::Noise::Module::Module.

void CS::Math::Noise::Module::Cylinders::SetFrequency | ( | double | frequency | ) | `[inline]`

Sets the frequenct of the concentric cylinders.

Parameters:

  frequency | The frequency of the concentric cylinders.

Increasing the frequency increases the density of the concentric cylinders, reducing the distances between them.

Definition at line 106 of file cylinders.h.

## Member Data Documentation

double CS::Math::Noise::Module::Cylinders::m_frequency`[protected]`

Frequency of the concentric cylinders.

Definition at line 114 of file cylinders.h.

The documentation for this class was generated from the following file:

- cstool/noise/module/cylinders.h